Page MenuHomePhabricator

efl/gesture: rework gesture_recognizer::add to be a 'type' property
ClosedPublic

Authored by zmike on Jan 31 2020, 9:41 AM.

Details

Summary

this simplifies (and optimizes) a bunch of code by letting gesture recognizers
return directly the type of gesture they recognize for use internally

ref T8503

Depends on D11263

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 31 2020, 9:41 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.Jan 31 2020, 9:42 AM
bu5hm4n accepted this revision.Feb 3 2020, 11:57 PM
bu5hm4n added a subscriber: bu5hm4n.

Looks good i think.

This revision is now accepted and ready to land.Feb 3 2020, 11:57 PM
zmike updated this revision to Diff 28899.Feb 7 2020, 7:21 AM
zmike edited the summary of this revision. (Show Details)

rebase

Closed by commit rEFL28b7ea6f0cc8: efl/gesture: rework gesture_recognizer::add to be a 'type' property (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 14 2020, 12:24 AM
This revision was automatically updated to reflect the committed changes.